https://api.nexscope.ai/et/listVideoRun this API
Send a JSON request to execute this API and receive the documented response payload.
Endpoint
| Method | POST |
| Path | https://api.nexscope.ai/et/listVideo |
| Auth | Bearer API key |
| Content-Type | application/json |
Request parameters
| Name | Type | Required | Description |
|---|---|---|---|
region | string | required | Area code. Optional values: US (United States), ID (Indonesia), TH (Thailand), PH (Philippines), MY (Malaysia), VN (Vietnam), GB (UK), MX (Mexico), SG (Singapore), SA (Saudi Arabia), BR (Brazil), ES (Spain), JP (Japan), DE (Germany), IT (Italy), FR (France) |
userId | string | optional | Expert ID filtering. Maximum length 1000 |
productId | string | optional | Product ID associated with the video. Maximum length 1000 |
productCategoryId | string | optional | Associated product category ID. Maximum length 1000 |
minTotalViewsCnt | integer | optional | Video playback filter (minimum value) |
maxTotalViewsCnt | integer | optional | Video playback filter (maximum value) |
minDuration | integer | optional | Video duration range filtering (seconds) - minimum value |
maxDuration | integer | optional | Video duration range filtering (seconds) - maximum value |
minCreateTime | integer | optional | Release time range filtering (second-level timestamp)-minimum value |
maxCreateTime | integer | optional | Release time range filtering (second-level timestamp) - maximum value |
salesFlag | integer | optional | Whether to bring goods video: 0 = no goods carrying video, 1 = goods carrying video |
isAd | integer | optional | Whether to stream video: 0 = no streaming video, 1 = streaming video |
createdByAi | string | optional | Whether AI video, only accepts the string `"true"` (AI video) or `"false"` (non-AI video), non-Boolean |
videoSortField | integer | optional | Sorting fields: 1=total_digg_cnt (number of likes), 2=create_time (release time), 3=total_views_cnt (number of views) Example: 3 |
sortType | integer | optional | Sorting method: 0=ascending order (asc), 1=descending order (desc) Example: 1 |
pageNum | integer | optional | Pagination page number, starting from 1 Example: 1 |
pageSize | integer | optional | Number of items per page. **Must be a multiple of 10, the maximum is 100**; the upper limit for a single page of the third-party interface is 10, internally press 10 for each page to be pulled multiple times and then merged Example: 50 |
Code example
{
"pageNum": 1,
"pageSize": 20,
"region": "US",
"sortType": 1,
"videoSortField": 3
}Response example
Platform response envelope. code 0 indicates success or acceptance; data contains the business result.
{
"code": 0,
"cost": "-1",
"data": {},
"msg": null,
"time": "2026-01-01 00:00:00",
"traceId": null,
"ts": "0"
}Response fields
Response field reference (40 fields)
| Name | Type | Required | Description |
|---|---|---|---|
errcode | integer | optional | Business status code, 200 indicates success (see error code below for details) |
errmsg | string | optional | Business status description |
total | integer | optional | Number of records |
data | array | optional | Video list (see video field below for details) |
columns | array | optional | Rendered columns |
type | string | optional | Rendering style |
costToken | integer | optional | Consume token |
videoId | string | optional | Video ID |
videoDesc | string | optional | Video description |
officialUrl | string | optional | TikTok official video address |
coverUrl | string | optional | Video cover URL |
duration | integer | optional | Video duration (seconds) |
width | string | optional | video width |
height | string | optional | video height |
ratio | string | optional | Video clarity (resolution, such as 540p/720p) |
dataSize | string | optional | Video file size |
createDate | string | optional | Video release date |
userId | string | optional | Expert ID |
uniqueId | string | optional | TikTok account ID (unique_id) |
avatar | string | optional | Master avatar |
totalViewsCnt | integer | optional | Total views |
totalViews1dCnt | integer | optional | Play volume in the past day |
totalViews7dCnt | integer | optional | Play volume in the past 7 days |
totalViews30dCnt | integer | optional | Play volume in the past 30 days |
totalDiggCnt | integer | optional | Total likes |
totalDigg1dCnt | integer | optional | Number of likes in the past day |
totalDigg7dCnt | integer | optional | Number of likes in the past 7 days |
totalDigg30dCnt | integer | optional | Number of likes in the past 30 days |
totalCommentsCnt | integer | optional | Total comments |
totalSharesCnt | integer | optional | Total shares |
totalFavoritesCnt | integer | optional | Total collections |
totalVideoSaleCnt | integer | optional | Video sales (number of pieces) |
totalVideoSaleGmvAmt | integer | optional | Video sales GMV (amount) |
salesFlagText | string | optional | Whether to bring goods video |
isAdText | string | optional | Whether to stream video |
createdByAiText | string | optional | Whether AI video (yes/no/unknown) |
productCategoryList | string | optional | Product classification |
videoProducts | string | optional | Video related products |
region | string | optional | area code |
sourceType | string | optional | Product source |
Responses
| Code | Description |
|---|---|
| 200 | HTTP request completed. Check JSON code; only 0 indicates business success or acceptance. |
| 400 | Request JSON or required API parameters are invalid. |
| 401 | API key is missing, invalid, or cannot be matched to a user. |
| 5xx | API execution or upstream service failed. |
Data source, freshness, and limitations
Source, freshness, coverage, rate limits, and estimation notes are not specified in this API definition unless they appear in the request or response field documentation above. Do not assume official marketplace data or real-time freshness when it is not explicitly documented.